Bug 176569 - deskutils/basket: Update to version 1.81
Summary: deskutils/basket: Update to version 1.81
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-28 18:10 UTC by tkato432
Modified: 2013-03-14 00:40 UTC (History)
0 users

See Also:


Attachments
file.diff (11.08 KB, patch)
2013-02-28 18:10 UTC, tkato432
no flags Details | Diff
deskutils_basket.diff (11.14 KB, patch)
2013-03-06 17:45 UTC, tkato432
no flags Details | Diff
deskutils_basket.diff (11.14 KB, patch)
2013-03-13 17:56 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-02-28 18:10:14 UTC
- Update to version 1.81
Comment 1 Edwin Groothuis freebsd_committer 2013-02-28 18:14:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-03-01 15:05:31 UTC
Responsible Changed
From-To: araujo->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2013-03-02 14:28:27 UTC
State Changed
From-To: open->feedback

build fails: 
http://miwibox.org/tb/index.php?action=describe_port&id=2010
Comment 4 tkato432 2013-03-06 17:45:35 UTC
Here is the corrected patch.
Comment 5 tkato432 2013-03-13 17:56:51 UTC
Remake of the patch against current tree.
Comment 6 Martin Wilke freebsd_committer 2013-03-14 00:38:21 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2013-03-14 00:38:28 UTC
Author: miwi
Date: Thu Mar 14 00:38:19 2013
New Revision: 314123
URL: http://svnweb.freebsd.org/changeset/ports/314123

Log:
  - Update to 1.81
  
  PR:		176569
  Submitted by:	Ports Fury

Modified:
  head/deskutils/basket/Makefile   (contents, props changed)
  head/deskutils/basket/distinfo   (contents, props changed)
  head/deskutils/basket/pkg-plist   (contents, props changed)

Modified: head/deskutils/basket/Makefile
==============================================================================
--- head/deskutils/basket/Makefile	Thu Mar 14 00:18:56 2013	(r314122)
+++ head/deskutils/basket/Makefile	Thu Mar 14 00:38:19 2013	(r314123)
@@ -2,43 +2,23 @@
 # $FreeBSD$
 
 PORTNAME=	basket
-PORTVERSION=	1.0.3.1
-PORTREVISION=	7
+PORTVERSION=	1.81
 CATEGORIES=	deskutils kde
 MASTER_SITES=	http://basket.kde.org/downloads/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Desktop organization tool
 
-USE_KDELIBS_VER=3
-USE_GMAKE=	yes
-USE_AUTOTOOLS=	libtool
-USE_LDCONFIG=	yes
+LICENSE=	GPLv2
 
-OPTIONS_DEFINE=	KONTACT GPGME
-OPTIONS_DEFAULT=	KONTACT GPGME
-KONTACT_DESC=	Kontact plugin
-GPGME_DESC=	GPG support (experimental)
-
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MKONTACT}
-LIB_DEPENDS+=	kontact.1:${PORTSDIR}/deskutils/kdepim3
-PLIST_SUB=	KONTACT=""
-.else
-PLIST_SUB=	KONTACT="@comment "
-CONFIGURE_ENV+=	DO_NOT_COMPILE="kontact_plugin"
-.endif
-
-.if ${PORT_OPTIONS:MGPGME}
-RUN_DEPENDS+=	pinentry-qt:${PORTSDIR}/security/pinentry-qt
-LIB_DEPENDS+=	gpgme.19:${PORTSDIR}/security/gpgme \
-		gpg-error.0:${PORTSDIR}/security/libgpg-error
-.else
-CONFIGURE_ARGS+=	--with-encryption=no
-.endif
+LIB_DEPENDS=	gpgme:${PORTSDIR}/security/gpgme
 
-post-patch:
-	@${REINPLACE_CMD} -e 's/-O2//g' ${WRKSRC}/${CONFIGURE_SCRIPT}
+USE_BZIP2=	yes
+USE_XORG=	xft xpm
+USE_KDE4=	automoc4 kdeprefix pimlibs qimageblitz
+USE_QT4=	moc_build qmake_build rcc_build uic_build
+USE_CMAKE=	yes
+USE_LDCONFIG=	yes
+MAKE_JOBS_SAFE=	yes
 
 .include <bsd.port.mk>

Modified: head/deskutils/basket/distinfo
==============================================================================
--- head/deskutils/basket/distinfo	Thu Mar 14 00:18:56 2013	(r314122)
+++ head/deskutils/basket/distinfo	Thu Mar 14 00:38:19 2013	(r314123)
@@ -1,2 +1,2 @@
-SHA256 (basket-1.0.3.1.tar.gz) = 736167f000e74e2b441e644067a404a82ed9a475cd5c424cf86bb0a56a87efb5
-SIZE (basket-1.0.3.1.tar.gz) = 5588843
+SHA256 (basket-1.81.tar.bz2) = 60a3b49af34f1df2b983b1acd321ded256f92f10ce700dc6c7954793fea3fd83
+SIZE (basket-1.81.tar.bz2) = 4108025

Modified: head/deskutils/basket/pkg-plist
==============================================================================
--- head/deskutils/basket/pkg-plist	Thu Mar 14 00:18:56 2013	(r314122)
+++ head/deskutils/basket/pkg-plist	Thu Mar 14 00:38:19 2013	(r314123)
@@ -1,20 +1,10 @@
 bin/basket
-lib/kde3/basketthumbcreator.a
-lib/kde3/basketthumbcreator.la
-lib/kde3/basketthumbcreator.so
-lib/kde3/kcm_basket.a
-lib/kde3/kcm_basket.la
-lib/kde3/kcm_basket.so
-lib/kde3/libbasketpart.a
-lib/kde3/libbasketpart.la
-lib/kde3/libbasketpart.so
-%%KONTACT%%lib/kde3/libkontact_basket.a
-%%KONTACT%%lib/kde3/libkontact_basket.la
-%%KONTACT%%lib/kde3/libkontact_basket.so
-lib/libbasketcommon.a
-lib/libbasketcommon.la
+lib/kde4/basketthumbcreator.so
+lib/kde4/kcm_basket.so
 lib/libbasketcommon.so
-share/applications/kde/basket.desktop
+lib/libbasketcommon.so.5
+lib/libbasketcommon.so.5.0.1
+share/applications/kde4/basket.desktop
 share/apps/basket/backgrounds/abstract.png
 share/apps/basket/backgrounds/alien-artifact.png
 share/apps/basket/backgrounds/alien-artifact.png.config
@@ -24,45 +14,12 @@ share/apps/basket/backgrounds/light.png
 share/apps/basket/backgrounds/painting.png
 share/apps/basket/backgrounds/pens.png
 share/apps/basket/backgrounds/pins.png
-share/apps/basket/backgrounds/previews/abstract.png
-share/apps/basket/backgrounds/previews/alien-artifact.png
-share/apps/basket/backgrounds/previews/basket-title.png
-share/apps/basket/backgrounds/previews/green-curves.png
-share/apps/basket/backgrounds/previews/light.png
-share/apps/basket/backgrounds/previews/painting.png
-share/apps/basket/backgrounds/previews/pens.png
-share/apps/basket/backgrounds/previews/pins.png
-share/apps/basket/backgrounds/previews/rainbow-balls.png
-share/apps/basket/backgrounds/previews/rounds-line.png
-share/apps/basket/backgrounds/previews/strings.png
-share/apps/basket/backgrounds/previews/todo.png
-share/apps/basket/backgrounds/previews/working.png
 share/apps/basket/backgrounds/rainbow-balls.png
 share/apps/basket/backgrounds/rounds-line.png
 share/apps/basket/backgrounds/strings.png
 share/apps/basket/backgrounds/todo.png
 share/apps/basket/backgrounds/working.png
-share/apps/basket/basket_part.rc
 share/apps/basket/basketui.rc
-share/apps/basket/icons/crystalsvg/16x16/actions/tag_checkbox.png
-share/apps/basket/icons/crystalsvg/16x16/actions/tag_checkbox_checked.png
-share/apps/basket/icons/crystalsvg/16x16/actions/tag_for_later.png
-share/apps/basket/icons/crystalsvg/16x16/actions/tag_fun.png
-share/apps/basket/icons/crystalsvg/16x16/actions/tag_important.png
-share/apps/basket/icons/crystalsvg/16x16/actions/tag_preference_bad.png
-share/apps/basket/icons/crystalsvg/16x16/actions/tag_preference_excelent.png
-share/apps/basket/icons/crystalsvg/16x16/actions/tag_preference_good.png
-share/apps/basket/icons/crystalsvg/16x16/actions/tag_priority_high.png
-share/apps/basket/icons/crystalsvg/16x16/actions/tag_priority_low.png
-share/apps/basket/icons/crystalsvg/16x16/actions/tag_priority_medium.png
-share/apps/basket/icons/crystalsvg/16x16/actions/tag_progress_000.png
-share/apps/basket/icons/crystalsvg/16x16/actions/tag_progress_025.png
-share/apps/basket/icons/crystalsvg/16x16/actions/tag_progress_050.png
-share/apps/basket/icons/crystalsvg/16x16/actions/tag_progress_075.png
-share/apps/basket/icons/crystalsvg/16x16/actions/tag_progress_100.png
-share/apps/basket/images/insertion_help.png
-share/apps/basket/images/tag_export_help.png
-share/apps/basket/images/tag_export_on_every_lines_help.png
 share/apps/basket/welcome/Welcome_de.baskets
 share/apps/basket/welcome/Welcome_en_US.baskets
 share/apps/basket/welcome/Welcome_fr.baskets
@@ -71,50 +28,39 @@ share/apps/basket/welcome/Welcome_ja.bas
 share/apps/basket/welcome/Welcome_nn.baskets
 share/apps/basket/welcome/Welcome_pt.baskets
 share/apps/basket/welcome/Welcome_ru.baskets
-%%KONTACT%%share/apps/kontact/ksettingsdialog/kontact_basketplugin.setdlg
 share/config/magic/basket.magic
-share/doc/HTML/en/basket/common
-share/doc/HTML/en/basket/index.cache.bz2
-share/doc/HTML/en/basket/index.docbook
-share/icons/crystalsvg/128x128/apps/basket.png
-share/icons/crystalsvg/128x128/mimetypes/baskets.png
-share/icons/crystalsvg/128x128/mimetypes/baskett.png
-share/icons/crystalsvg/16x16/actions/likeback_bug.png
-share/icons/crystalsvg/16x16/actions/likeback_dislike.png
-share/icons/crystalsvg/16x16/actions/likeback_feature.png
-share/icons/crystalsvg/16x16/actions/likeback_like.png
-share/icons/crystalsvg/16x16/actions/tag_checkbox.png
-share/icons/crystalsvg/16x16/actions/tag_checkbox_checked.png
-share/icons/crystalsvg/16x16/actions/tag_for_later.png
-share/icons/crystalsvg/16x16/actions/tag_fun.png
-share/icons/crystalsvg/16x16/actions/tag_important.png
-share/icons/crystalsvg/16x16/actions/tag_preference_bad.png
-share/icons/crystalsvg/16x16/actions/tag_preference_excelent.png
-share/icons/crystalsvg/16x16/actions/tag_preference_good.png
-share/icons/crystalsvg/16x16/actions/tag_priority_high.png
-share/icons/crystalsvg/16x16/actions/tag_priority_low.png
-share/icons/crystalsvg/16x16/actions/tag_priority_medium.png
-share/icons/crystalsvg/16x16/actions/tag_progress_000.png
-share/icons/crystalsvg/16x16/actions/tag_progress_025.png
-share/icons/crystalsvg/16x16/actions/tag_progress_050.png
-share/icons/crystalsvg/16x16/actions/tag_progress_075.png
-share/icons/crystalsvg/16x16/actions/tag_progress_100.png
-share/icons/crystalsvg/16x16/apps/basket.png
-share/icons/crystalsvg/16x16/mimetypes/baskets.png
-share/icons/crystalsvg/16x16/mimetypes/baskett.png
-share/icons/crystalsvg/22x22/apps/basket.png
-share/icons/crystalsvg/22x22/mimetypes/baskets.png
-share/icons/crystalsvg/22x22/mimetypes/baskett.png
-share/icons/crystalsvg/32x32/apps/basket.png
-share/icons/crystalsvg/32x32/mimetypes/baskets.png
-share/icons/crystalsvg/32x32/mimetypes/baskett.png
-share/icons/crystalsvg/48x48/apps/basket.png
-share/icons/crystalsvg/48x48/mimetypes/baskets.png
-share/icons/crystalsvg/48x48/mimetypes/baskett.png
-share/icons/crystalsvg/64x64/apps/basket.png
-share/icons/crystalsvg/64x64/mimetypes/baskets.png
-share/icons/crystalsvg/64x64/mimetypes/baskett.png
-share/icons/crystalsvg/scalable/apps/basket.svg
+share/icons/hicolor/128x128/apps/basket.png
+share/icons/hicolor/16x16/actions/likeback_bug.png
+share/icons/hicolor/16x16/actions/likeback_dislike.png
+share/icons/hicolor/16x16/actions/likeback_feature.png
+share/icons/hicolor/16x16/actions/likeback_like.png
+share/icons/hicolor/16x16/actions/tag_checkbox.png
+share/icons/hicolor/16x16/actions/tag_checkbox_checked.png
+share/icons/hicolor/16x16/actions/tag_for_later.png
+share/icons/hicolor/16x16/actions/tag_fun.png
+share/icons/hicolor/16x16/actions/tag_important.png
+share/icons/hicolor/16x16/actions/tag_preference_bad.png
+share/icons/hicolor/16x16/actions/tag_preference_excellent.png
+share/icons/hicolor/16x16/actions/tag_preference_good.png
+share/icons/hicolor/16x16/actions/tag_priority_high.png
+share/icons/hicolor/16x16/actions/tag_priority_low.png
+share/icons/hicolor/16x16/actions/tag_priority_medium.png
+share/icons/hicolor/16x16/actions/tag_progress_000.png
+share/icons/hicolor/16x16/actions/tag_progress_025.png
+share/icons/hicolor/16x16/actions/tag_progress_050.png
+share/icons/hicolor/16x16/actions/tag_progress_075.png
+share/icons/hicolor/16x16/actions/tag_progress_100.png
+share/icons/hicolor/16x16/apps/basket.png
+share/icons/hicolor/22x22/apps/basket.png
+share/icons/hicolor/32x32/apps/basket.png
+share/icons/hicolor/48x48/apps/basket.png
+share/icons/hicolor/64x64/apps/basket.png
+share/kde4/services/basket_config_apps.desktop
+share/kde4/services/basket_config_baskets.desktop
+share/kde4/services/basket_config_general.desktop
+share/kde4/services/basket_config_new_notes.desktop
+share/kde4/services/basket_config_notes_appearance.desktop
+share/kde4/services/basketthumbcreator.desktop
 share/locale/cs/LC_MESSAGES/basket.mo
 share/locale/da/LC_MESSAGES/basket.mo
 share/locale/de/LC_MESSAGES/basket.mo
@@ -132,31 +78,11 @@ share/locale/zh_CN/LC_MESSAGES/basket.mo
 share/locale/zh_TW/LC_MESSAGES/basket.mo
 share/mimelnk/application/x-basket-archive.desktop
 share/mimelnk/application/x-basket-template.desktop
-share/services/basket_config_apps.desktop
-share/services/basket_config_baskets.desktop
-share/services/basket_config_features.desktop
-share/services/basket_config_general.desktop
-share/services/basket_config_new_notes.desktop
-share/services/basket_config_notes.desktop
-share/services/basket_config_notes_appearance.desktop
-share/services/basket_part.desktop
-share/services/basketthumbcreator.desktop
-%%KONTACT%%share/services/kontact/basket.desktop
-%%KONTACT%%share/services/kontact/basket_v4.desktop
-%%KONTACT%%@dirrmtry share/services/kontact
+@dirrmtry share/mimelnk/application
+@dirrmtry share/mimelnk
 @dirrmtry share/locale/pl_PL/LC_MESSAGES
 @dirrmtry share/locale/pl_PL
-@dirrm share/doc/HTML/en/basket
 @dirrmtry share/config/magic
-@dirrmtry share/config
-%%KONTACT%%@dirrmtry share/apps/kontact/ksettingsdialog
-%%KONTACT%%@dirrmtry share/apps/kontact
 @dirrm share/apps/basket/welcome
-@dirrm share/apps/basket/images
-@dirrm share/apps/basket/icons/crystalsvg/16x16/actions
-@dirrm share/apps/basket/icons/crystalsvg/16x16
-@dirrm share/apps/basket/icons/crystalsvg
-@dirrm share/apps/basket/icons
-@dirrm share/apps/basket/backgrounds/previews
 @dirrm share/apps/basket/backgrounds
 @dirrm share/apps/basket
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"